# pandas.MultiIndex.to_frame

`MultiIndex.``to_frame`(index=True, name=None)

  Create a DataFrame with the levels of the MultiIndex as columns.

  Column ordering is determined by the DataFrame constructor with data as a dict.

  New in version 0.24.0.

  Parameters:

  index : boolean, default True

  > Set the index of the returned DataFrame as the original MultiIndex.

  name : list / sequence of strings, optional

  > The passed names should substitute index level names.

  Returns: | DataFrame : a DataFrame containing the original MultiIndex data.

  See also

  `DataFrame`

Scroll To Top